$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.12.42-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.12.42-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '03E4147F4F06E744B7740E15793DD70CAD2659BC964EAFDD091A4228D56F3C06'
  checksumType = 'sha256'
  checksum64 = '03E4147F4F06E744B7740E15793DD70CAD2659BC964EAFDD091A4228D56F3C06'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.12.42-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
